Problem mit Webtrees

Hallo liebe Foris,

leider gibt es aktuell ein Problem mit dem Webtrees (php Datenbank für Genealogen).
Meine Webseite ist: http://schimmel-clan.bplaced.net

Fehlermeldungen zum Beispiel:

Deprecated: iconv_set_encoding() [ref.iconv]: Use of iconv.internal_encoding is deprecated in /users/schimmel-clan/www/library/Zend/Locale/Format.php on line 313

Deprecated: iconv_set_encoding() [ref.iconv]: Use of iconv.internal_encoding is deprecated in /users/schimmel-clan/www/library/Zend/Locale/Format.php on line 474

ERROR 2: Cannot modify header information - headers already sent by (output started at /users/schimmel-clan/www/library/Zend/Locale/Format.php:313)

Warning: Cannot modify header information - headers already sent by (output started at /users/schimmel-clan/www/library/Zend/Locale/Format.php:313) in /users/schimmel-clan/www/library/WT/Controller/Page.php on line 174

Auch kann ich mich auf meine System nicht mehr einloggen :frowning:

Was ist da passiert? Ich habe am System nichts verändert. Vor ca. 2-3 Tagen war alles noch in Ordnung.

LG Norby

Ich vermute mal du benutzt noch Zend Framework 1. Du solltest Zend upgraden.

Siehe auch: iconv.internal_encoding deprecated in PHP 5.6

Danke für Deine schnelle Antwort, nur kann ich mit Zend Framework gar nichts anfangen. Bin nur Nutzer :slight_smile: Einmal Software aufgespielt und fertig.

Ich versuche gerade einen Upgrade für das Webtrees aufzuspielen, da gibt es etwas.
Hat das etwas mit den Upgrade von php5.5 auf php5.6 zu tun?

Entschuldige, Ich hab das mit webtrees ueberlesen.
Ein update fuer webtrees koennte durchaus den Fehler beheben.

Der Fehler wurde effektiv durch das upgrade auf PHP 5.6 erzeugt, da diese webtrees software versucht funktionen aufzurufen, die nicht laenger supported werden.

1 Like

Lieben Dank für Deine Bemühungen :+1: Mit dem Upgrade hat es dann auch funktioniert. Leider mit diversen Änderungen im Bedienerumfeld, daher bin ich kein Freund von Upgrades, gerade dann wenn alles sauber und super läuft. Ich hoffe das hält jetzt wieder eine Weile vor.

LG Norby

Ja diese bösen Upgrades, die Sicherheitslücken und Bugs entfernen…